Get a mobile money customer by customer key
curl --request GET \
--url https://sandbox-api.kotanipay.io/api/v3/customer/mobile-money/{customer_key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/customer/mobile-money/{customer_key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.kotanipay.io/api/v3/customer/mobile-money/{customer_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Customer fetched successfully.",
"data": {
"phone_number": "<string>",
"country_code": "GH, KE, NG (or ISO-3: GHA, KEN, NGA)",
"id": "<string>",
"network": "MPESA or MTN or AIRTEL or VODAFONE",
"customer_key": "<string>",
"account_name": "<string>",
"integrator": "<string>",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-01-01",
"id_number": "123456789",
"image": "<string>",
"email": "john.doe@example.com"
}
}Customer Management
Get Mobile Money Customer
An integrator can use this endpoint to get the customer who will be either receiving or sending money using mobile money by passing customer key.
GET
/
api
/
v3
/
customer
/
mobile-money
/
{customer_key}
Get a mobile money customer by customer key
An integrator can use this endpoint to get the customer who will be either receiving or sending money using mobile money by passing customer key.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I